 feuille de style de base */

/* -----------------------------------------------------------------------------

  FONTS
  
----------------------------------------------------------------------------- */
@font-face {
  font-family: 'Oxygen';
  font-style: normal;
  font-weight: 300;
  src: url("fonts/oxygen/oxygen-v5-latin-300.eot");
  src: local("Oxygen Light"), local("Oxygen-Light"), url("fonts/oxygen/oxygen-v5-latin-300.eot?#iefix") format("embedded-opentype"), 
  url("fonts/oxygen/oxygen-v5-latin-300.woff2") format("woff2"), url("fonts/oxygen/oxygen-v5-latin-300.woff") format("woff"), url("fonts/oxygen/oxygen-v5-latin-300.ttf") format("truetype"), url("fonts/oxygen/oxygen-v5-latin-300.svg#Oxygen") format("svg");
}
@font-face {
  font-family: 'Oxygen';
  font-style: normal;
  font-weight: 400;
  src: url("fonts/oxygen/oxygen-v5-latin-regular.eot");
  src: local("Oxygen"), local("Oxygen-Regular"), url("fonts/oxygen/oxygen-v5-latin-regular.eot?#iefix") format("embedded-opentype"), 
  url("fonts/oxygen/oxygen-v5-latin-regular.woff2") format("woff2"), url("fonts/oxygen/oxygen-v5-latin-regular.woff") format("woff"), 
  url("fonts/oxygen/oxygen-v5-latin-regular.ttf") format("truetype"), url("fonts/oxygen/oxygen-v5-latin-regular.svg#Oxygen") format("svg");
}
@font-face {
  font-family: 'Oxygen';
  font-style: normal;
  font-weight: 700;
  src: url("fonts/oxygen/oxygen-v5-latin-700.eot");
  src: local("Oxygen Bold"), local("Oxygen-Bold"), url("fonts/oxygen/oxygen-v5-latin-700.eot?#iefix") format("embedded-opentype"), 
  url("fonts/oxygen/oxygen-v5-latin-700.woff2") format("woff2"), url("fonts/oxygen/oxygen-v5-latin-700.woff") format("woff"), 
  url("fonts/oxygen/oxygen-v5-latin-700.ttf") format("truetype"), url("fonts/oxygen/oxygen-v5-latin-700.svg#Oxygen") format("svg");
}
@font-face {/* d꤬aration de la police Muro */
    font-family: Icon;
    src: url(fonts/Ico-Moon/IcoMoon-Free.ttf);
	
}
/* -----------------------------------------------------------------------------

  Separator
  
----------------------------------------------------------------------------- */

hr {
	width: 100%;
	border-top:1px solid #505050;
}
.icon{
	font-family: Icon;

}
.icon-home::before{
	content: '\e901';
}
.icon-search::before{
	content: '\e986';
}
.icon-addfriend::before{
	content: '\e973';
}
.icon-removefriend::before{
	content: '\e974';
}
.icon-alreadyfriend::before{
	content: '\e975';
}
.icon-gear::before{
	content: '\e994';
}
.icon-mail::before{
	content: '\ea84';
}
.icon-friends::before{
	content: '\e971';
}
.icon-follows::before{
	content: '\e972';
}
.icon-comment::before{
	content: '\e96b';
}
.icon-send::before{
	content: '\e906';
}
.vr {
	color: white;
	height: 100%;
	margin-top: auto;
	margin-bottom: auto;
	border-right: 1px solid white; 


}       
/* -----------------------------------------------------------------------------

  FONTS
  
----------------------------------------------------------------------------- */

.floateurs
{
	/* pour une image flottante*/
	float : left;
}
header
{
	background-color : rgba(34,34,34,0.75);
	display : inline-block;
	width : 100%;
	position: relative;
	height:2em;
    z-index: 1;
    filter: blur(0px);
}
/* le corpus*/
body
{   
	/*animation: start 1s ease-in-out;*/
	/*background-color : #FFFFFF;*/

	background-image: url("imgs/back1.jpg");
	background-size: 300px 300px;
	min-width : 30em;
	/*au cas ou une boite de dailogue d걡sse */
	font-family : oxygen;
	clear: both;
	display: block;
}
footer
{
	background-color : #2da0ff;
	display : inline-block;
	width : 100%;
	position: relative;
	height:2em;
}
/* Le corpus*/

/* La navigation*/
a{
		color : #502500;
		text-decoration : none;
}
.fixed{
	position: fixed;
}
nav {
	z-index: 10;
	background-color : #353535;
	display : inline-block;
	width : 100%;
	text-align : left;
	height : 3em;
	top :0px;
	position : absolute;
	right: 0;
	}
nav ul
{
	list-style-type : none;
	-webkit-padding-start: 0px;
	-moz-padding-start: 0px;
	margin : 0;

}
nav li
{
	display: inline-block;
	height : 3em;

	
}
nav a
{
	color : #c0c0c0;
	font-size : medium;
	-webkit-padding-start: 0px;
	-moz-padding-start: 0px;
	padding :3em 1em 3em 1em;
	position: relative;
	top: 12px;
	text-transform: uppercase;
}
nav form{

}
.nav-btn .nav-txt{
	padding :3em ;
	position: relative;
	top: 12px;
	color : #C0C0C0;
	cursor: pointer;

}
.nav-btn:hover a, .nav-btn:hover .nav-txt,.dropitem:hover{
	cursor: pointer;
	color:white;
}
.drop{
	background-color: black;
	display: none;
}
.dropitem:first-child{
 	border-top: 0px solid black;

}
.dropitem{
	color: #C0C0C0;
	border-top: 2px solid #6D6D6D;
	display: block;
	padding-top: 1em;
	padding-bottom: auto; 
}
.nav-btn:hover .drop{
	margin: auto;
	text-align: center;
	background-color: #353535;
	color: white;
	top: 3em;
/*	width: 8em;*/
	padding-left: 1em;
	padding-right: 1em;
	margin-left: 5%;
	margin-right: 1em;
	position: absolute;
	display: block;
}
.bouton
{
	display : inline-block;
	border : 2px white solid ;
	color : white;
	padding : 0 5px 2px 5px;
    transition: color 0.5s,background-color 0.1s,transform 0.1s;
}
.bouton:hover
{
    transform : scale(1.1);
	background-color : white;
	color : black;
}
.bouton:active
{   
    transform : scale(1.05);
	color : black;
}
#logo
{
	cursor: pointer;
	display : inline-block;
	color : #C0C0C0FF;
/*	text-transform : uppercase;
*/	position : relative;
	top:10px;
	left:10px;
	margin-right: 1em;
	font-weight:700;	
	transition: color 0.2s,background-color 0.1s,transform 0.1s;
/*		transition: color 0.2s,background-color 0.1s,transform 0.1s;
*/

}
#logo:hover{
	color: white;

}

section {
	padding-top: 4em;
	display : inline-block;
	margin-right : 15em;
	width : 50%;
	margin : 0;
	width: 100%;
	/*au cas ou un mot d걡sse on le coupe*/

}
.box{
	padding: 1em 1em 1em 1em;
	color: #292929;
	width: 50%;
	margin-left: auto;
	margin-right: auto;
	border-radius: 5px;
	background-color: #E6E6E6;

}
.box::after{
	clear: both;
}
.box-profile{
	padding: 1em 1em 1em 1em;
	color: #292929;
	width: 20%;
	display: inline-block;
	border-radius: 5px;
	background-color: #E6E6E6;

}
.box-friends, .box-stats{
	padding: 1em 1em 1em 1em;
	color: #292929;
	width: 20%;
	text-align: center;
	margin-top: 1em;
	border-radius: 5px;
	background-color: #E6E6E6;

}
.box-messages{
	top: 4em;
	position: absolute;
	padding: 1em 1em 1em 1em;
	color: #292929;
	width: 70%;
	margin-left: 30px;
	display: inline-block;
/*	text-align: center;
*/	border-radius: 5px;
	background-color: #E6E6E6;

}
.box-outils{
	position: fixed;
	padding: 0.5em 0.5em 0.5em 0.5em;
	color: #292929;
	width: 100%;
	z-index: 5;
	bottom: 0;
	text-align: center;
	background-image: url("imgs/back1.jpg");
	opacity: 0.75;
}
.box-outils:hover{

	z-index: 6;
	opacity: 1;
}
.message{
	background-color: white;
	width: 95%;
	border-radius: 5px;
	margin: 15px  15px  15px  15px ;

}
.message-header{
	padding: 1em 1em 1em 1em;
	background-image: linear-gradient(to top, #CACACA, #E3E3E3);
}
.message-text{
	padding: 1em 1em 1em 1em;
	max-height: 100px;
	overflow: hidden;
}
.profil{
	width: 90%;
	}
.img-profile{
	height: 100px;
	width: 100px;
	display: inline;
	border-radius: 50%;
}
.img-friends{
	height: 75px;
	width: 75px;
	display: inline-block;
	border-radius: 50%;
    filter: blur(1px);
}
.img-message{
	height: 50px;
	width: 50px;
	display: inline;
	border-radius: 50%;
}
a .img-friends:hover,.img-message{
	    filter: blur(0px);

}
.profile-text{
	float: right;
	display: inline;
}
#profile-name{
	margin-top: 0px;

}

.push-left{
	float: left;
}
.push-right{
	display: inline-block;
	float: right;
}

button {
	font-family: oxygen;
}
.btn{
	padding: 5px 5px 5px 5px; 
}

.btn-red{
	background-image: linear-gradient(to top, #ff6767, #ff0d0d);
	color: white;
	border: 1px solid #ff6767;
}
.btn-red:hover{
	border: 1px solid #C72727;
}
.btn-red:active{
	background-image: linear-gradient(to bottom, #ff6767, #ff0d0d);
}

.btn-blue{
	background-image: linear-gradient(to top, #49B4FF, #0D9BFF);
	color: white;
	border: 1px solid #49B4FF;
}
.btn-blue:hover{
	border: 1px solid #327BAE;
}
.btn-blue:active{
	background-image: linear-gradient(to bottom, #49B4FF, #0D9BFF);
}

.btn-green{
	background-image: linear-gradient(to top, #32F100, #2DD700);
	color: white;
	border: 1px solid #64FF3B;
}
.btn-green:hover{
	border: 1px solid #327BAE;
}
.btn-green:active{
	background-image: linear-gradient(to bottom, #32F100, #2DD700);
}

.btn-yellow{
	background-image: linear-gradient(to top, #FFA414, #ED9100);
	color: white;
	border: 1px solid #ED9100;
}
.btn-yellow:hover{
	border: 1px solid #AB6900;
}
.btn-yellow:active{
	background-image: linear-gradient(to bottom, #FFA414, #ED9100);
}

.sm{
	font-size: 1em;
}
.med{
	font-size: 2em;
}
.big{
	font-size: 6em;
}
.inline-block{
	display: inline-block;
}
.block{
	display: block;
}
.error input{
	color:red;
	border-color: red;
}
.succes input{
	color:green;
	border-color: green;
}
#overlay{
	display: none;
	position: fixed;
	bottom: 0;
	background-color: black;
	opacity: 0.5;
	z-index: 100;
	width: 100%;
	height: 100vh;
}
.panel{
	z-index: 1000;
	display: none;
	position: fixed;
	top: 10%;
	left: 25%;
	right: 25%;
	padding: 1em 1em 1em 1em;
	color: #292929;
	margin-left: auto;
	margin-right: auto;
	border-radius: 5px;
	background-color: #E6E6E6;
}
#comment-form{
	color: black;
	margin-left: auto;
	margin-right: auto;	
}
.comment-list{
	background-color: white;
}
.comment-header{
	padding: 1em 1em 1em 1em;
	background-image: linear-gradient(to top, #CACACA, #E3E3E3);
}
.img-comment{
	height: 25px;
	width: 25px;
	display: inline;
	border-radius: 50%;
}
.comment-text{
	padding: 1em 1em 1em 1em;
	max-height: 100px;
	overflow: hidden;
}
.text-noresize{
	resize:none;
}
.tmp{
	display:none;
}